org.apache.poi.hpsf

## Class UnsupportedVariantTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.poi.hpsf.HPSFException
      - - org.apache.poi.hpsf.VariantTypeException
        - - org.apache.poi.hpsf.UnsupportedVariantTypeException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ReadingNotSupportedException, WritingNotSupportedException

      public abstract class UnsupportedVariantTypeException
      extends VariantTypeException

  This exception is thrown if HPSF encounters a variant type that isn't supported yet. Although a variant type is unsupported the value can still be retrieved using the `VariantTypeException.getValue()` method.

  Obviously this class should disappear some day.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedVariantTypeException(long variantType, java.lang.Object value)` Constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.poi.hpsf.VariantTypeException

      `getValue, getVariantType`

    - ### Methods inherited from class org.apache.poi.hpsf.HPSFException

      `getReason`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedVariantTypeException

          public UnsupportedVariantTypeException(long variantType,
                                                 java.lang.Object value)

      Constructor.

      Parameters:
        `variantType` - The unsupported variant type
        `value` - The value who's variant type is not yet supported

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.